package com.jiuqi.dna.ide.designer.commands;

import com.jiuqi.dna.ide.designer.DesignerMessages;
import com.jiuqi.dna.ide.designer.elements.ILinkElement;
import org.eclipse.gef.commands.Command;

/* loaded from: com_jiuqi_dna_ide_designer_commands.jar:com/jiuqi/dna/ide/designer/commands/LinkDeleteCommand.class */
public class LinkDeleteCommand extends Command {
    private ILinkElement link;
    private boolean wasRemoved;

    public LinkDeleteCommand(ILinkElement link) {
        if (link == null) {
            throw new NullPointerException("参数link不能为null");
        }
        this.link = link;
        setLabel(DesignerMessages.LinkDeleteCommandLabel);
    }

    public boolean canExecute() {
        return this.link.isInitialized() && this.link.isDisposable();
    }

    public void execute() {
        this.link.dispose();
        this.wasRemoved = true;
    }

    public void undo() {
        this.link.init();
        this.wasRemoved = false;
    }

    public boolean canUndo() {
        return this.wasRemoved;
    }
}
